
Redmine - Feature #37973

Enable to display watches count on issues list

2022-11-28 15:20 - Takenori TAKAKI

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Related issues:

Related to Redmine - Feature #29894: View watchers on the issue list Closed

Related to Redmine - Feature #17288: Use Watcher Count as a poor man's Voting... New

History

#1 - 2022-11-28 15:28 - Takenori TAKAKI

- File enable_to_display_watches_count_on_issues_list.png added

- File enable_to_display_watches_count_on_issues_list.patch added

It would be very useful to add a watches count of issue on the issues list and sort them by interest in the issue.

I've made a patch and will post it.

 enable_to_display_watches_count_on_issues_list.png 

#2 - 2022-12-09 06:31 - Go MAEDA

- Related to Feature #29894: View watchers on the issue list added

#3 - 2023-01-04 05:42 - Go MAEDA

- Related to Feature #17288: Use Watcher Count as a poor man's Voting system on redmine.org added

#4 - 2023-04-13 17:29 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2023-05-19 07:13 - Takenori TAKAKI

- File enable_to_display_watchers_count_on_issues_list.png added

- File enable_to_display_watchers_count_on_issues_list.patch added

I resubmit the patch with the following modifications:

- Changed query column name [Watches --> Watchers count].

- Fixed sorting issues based on  watchers count.

- Added test code.
Thank you for your attention to these changes.

Files

enable_to_display_watches_count_on_issues_list.png 575 KB 2022-11-28 Takenori TAKAKI

enable_to_display_watches_count_on_issues_list.patch 3.71 KB 2022-11-28 Takenori TAKAKI

enable_to_display_watchers_count_on_issues_list.png 556 KB 2023-05-19 Takenori TAKAKI

enable_to_display_watchers_count_on_issues_list.patch 5.2 KB 2023-05-19 Takenori TAKAKI
